Subject: bug#24931: 25.1.50; recentf breaks M-x tetris scoring

From: [email-masked]
Date: Sun, 13 Nov 2016 14:30:29 -0500

Robert Marshall <[email-masked]> writes:

> The 'File exists, but cannot be read' appears to come from files.el
> where it doesn't appear to generate an error based on that message -
> toggle-debug-on-error gave me nothing
>
> If I set debug-on entry to after-find-file - though I guess that fn is
> cleaning up after a problem(?) I get the following traceback (and
> continuing doesn't enter that function again)

This traceback is a bit too late I think.  How about toggle-debug-on-signal?

> ~/.emacs.d/games/tetris-scores definitely exists and is readable by me

Does M-: (file-readable-p "~/.emacs.d/games/tetris-scores") agree?